APT-CLONE(1)

NAME
apt-clone - Helper script to clone a existing setup

SYNOPSIS
apt-clone [-h] [--debug] {info | restore | clone | restore-new-distro}

DESCRIPTION
apt-clone is a tool to clone/restore packages information of a Debian system. It can be used to clone/restore the packages on a apt based system. It will save/restore the packages, sources.list, keyring and automatic-installed states. It can also save/restore no longer downloadable packages using dpkg-repack.

Unless the -h, or --help option is given, one of the commands below must be present:

info
    shows information about a apt-clone archive.

restore
    restore a clone-file from <source> to <destination> (usually /).

clone
    clone is used to create a clone-file from <source> (usually /) to <destination>.

restore-new-distro
    restore a clone file from <source> to <destination> and try upgrading along the way. This can be used so that the current release is cloned, a new install is done and then the old clone is installed.

OPTIONS

-h, --help
    show this help message and exit

--debug
    enable debug output

SEE ALSO
dpkg-repack(1)

AUTHORS
apt-clone was written by Michael Vogt <michael.vogt@ubuntu.com>.

This manual page was written by Alessio Treglia <alessio@debian.org>, for the Debian project (and may be used by others).